<?php

namespace Drupal\Tests\commerce_novaposhta\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Class NovaposhtaConfigFormTest.
 *
 * @package Drupal\Tests\commerce_novaposhta\Functional
 *
 * @group commerce_novaposhta
 */
class NovaposhtaConfigFormTest extends BrowserTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = [
    'system',
    'commerce_novaposhta',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    parent::setUp();
    $permissions = [
      'administer commerce novaposhta configuration',
      'view the administration theme',
      'access administration pages',
    ];
    $this->adminUser = $this->drupalCreateUser($permissions);
    $this->drupalLogin($this->adminUser);
  }

  /**
   * Test config form.
   */
  public function testConfigForm() {
    $this->drupalGet('admin/config/services/commerce-novaposhta');
    $edit = [
      'api_key' => $this->randomGenerator->string(),
    ];
    $this->assertText('API information');
    $this->drupalPostForm('admin/config/services/commerce-novaposhta', $edit, 'Save configuration');
    $this->assertText('API key is not valid');
    $edit = [
      'api_key' => 'c341412712da786515d1fe8acdcf9496',
    ];
    $this->drupalPostForm('admin/config/services/commerce-novaposhta', $edit, 'Save configuration');
    $this->assertText('The configuration options have been saved.');
  }

}
